import resources
import entity
import item
import bird

factory_list = []
ai_entity = set(["bird", "bird2", "butterfly", "robot1", "robot2", "man", "tank", "plane"])
liftable_entity = set(["man", "scientist", "crate"])
background_entity = set(["cloud", "cloud2", "tree"])
goal_entity = set(["man"])
kills_player_entity = set(["robot1", "robot2", "tank", "plane"])

def load_factory():
    global factory_list
    factory_list = [("bird", resources.animations["bird_r"]),
                    ("bird2", resources.animations["bird2_r"]),
                    ("butterfly", resources.animations["butterfly_r"]),
                    ("cloud", resources.animations["cloud"]),
                    ("cloud2", resources.animations["cloud2"]),
                    ("scientist", resources.animations["scientist"]),
                    ("sparks", resources.animations["sparks"]),
                    ("man", resources.animations["man_l"]),
                    ("tree", resources.animations["tree"]),
                    ("plane", resources.animations["plane"]),
                    ("robot1", resources.animations["robot1_l"]),
                    ("robot2", resources.animations["robot2_l"]),
                    ("tank", resources.animations["tank_down"]),
                    ("crate", resources.animations["crate"])]

def factory(name, pos, level):
    if len(factory_list) == 0:
        load_factory()
    if name == "bird":
        return bird.Bird(pos, level)
    elif name == "bird2":
        return bird.Bird2(pos, level)
    elif name == "butterfly":
        return bird.Butterfly(pos, level)
    elif name == "cloud":
        return bird.Cloud(pos, level)
    elif name == "cloud2":
        return bird.Cloud2(pos, level)
    elif name == "scientist":
        return bird.Scientist(pos, level)
    elif name == "sparks":
        return bird.Sparks(pos, level)
    elif name == "man":
        return bird.Man(pos, level)
    elif name == "tree":
        return bird.Tree(pos, level)
    elif name == "plane":
        return bird.Plane(pos, level)
    elif name == "robot1":
        return bird.Robot(pos, level)
    elif name == "robot2":
        return bird.Robot2(pos, level)
    elif name == "tank":
        return bird.Tank(pos, level)
    elif name == "crate":
        return item.Item(pos, level)
